SDL_FColor Struct Reference

`#include <SDL_pixels.h>`

## Data Fields

float | r
float | g
float | b
float | a

## Detailed Description

The bits of this structure can be directly reinterpreted as a float-packed color which uses the SDL_PIXELFORMAT_RGBA128_FLOAT format

Since
  This struct is available since SDL 3.2.0.

Definition at line 1126 of file SDL_pixels.h.

## Field Documentation

## a

float SDL_FColor::a

Definition at line 1131 of file SDL_pixels.h.

## b

float SDL_FColor::b

Definition at line 1130 of file SDL_pixels.h.

## g

float SDL_FColor::g

Definition at line 1129 of file SDL_pixels.h.

## r

float SDL_FColor::r

Definition at line 1128 of file SDL_pixels.h.

The documentation for this struct was generated from the following file:

- SDL_pixels.h